Sub::Prototype(3pm)

NAME
Sub::Prototype - Set a sub's prototype

VERSION
version 0.03

SYNOPSIS
    use Sub::Prototype;

    BEGIN {
        my $code = sub { ... };
        set_prototype($code, '&@');
        *main::my_func = $code;
    }

    my_func { ... } @list;

FUNCTIONS
This module only has one function, which is also exported by default:

  set_prototype(\&coderef, $prototype)
    set_prototype(\&some_function, '$$');

Sets the prototype for "coderef" to $prototype.

THANKS
Shawn M Moore for the idea and tests.

SUPPORT
Bugs may be submitted through the RT bug tracker <https://rt.cpan.org/Public/Dist/Display.html?Name=Sub-Prototype> (or bug-Sub-Prototype@rt.cpan.org <mailto:bug-Sub-Prototype@rt.cpan.org>).

AUTHOR
Florian Ragwitz <rafl@debian.org>

CONTRIBUTOR
Karen Etheridge <ether@cpan.org>

COPYRIGHT AND LICENCE
This software is copyright (c) 2008 by Florian Ragwitz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.